## org.codehaus.groovy.runtime.metaclass
Class MemoryAwareConcurrentReadMap

This Map is astripped down version of ConcurrentReaderHashMap with small modifications here and there. It is no full Map, it does have put/get/remove, but no iterators. This map is intended to hold values and keys as SoftReference. If one of value or key are removed, so will be complete entry. This map will not use the equals method to compare keys, think of it as a IdentityHashMap with features of concurrency and memory aware caching. As ConcurrentReaderHashMap also does this implementation prefere read operations and tries not to lock if possible. SoftReferenced values are only removed from the map if the map goes into a synchronization block on this. This may affect reads, but only in rare cases.

Constructor Summary
`MemoryAwareConcurrentReadMap()`

Method Summary

Constructor Detail

### MemoryAwareConcurrentReadMap

    MemoryAwareConcurrentReadMap()

Method Detail